Results 1 to 10 of 10

Thread: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

  1. #1
    Join Date
    Oct 2004
    Location
    Albuquerque New Mexico, U
    Beans
    1,098
    Distro
    Ubuntu Development Release

    17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Said scanner requires a proprietary driver installed by the equally proprietary control application called iScan. Epson/Epkowa makes a .deb package containing the required software available for download at no cost to the user, but it seems that every other Ubuntu upgrade causes the installer to choke. This time the problem reported by dpkg is:

    Code:
     dpkg: dependency problems prevent configuration of iscan: iscan depends on libsane (>= 1.0.11-3); however:
      Version of libsane on system, provided by libsane1:amd64, is <none>.
    I cannot find the package libsane in repository, the package libsane1 is already installed but apparently not to the liking of the iScan installer.

    Appreciate any hints about what I can do to resolve this. The scanner is the only reason I have to keep a Win 10 installation on this machine and I obviously would like to find a better use for the disk space.
    regards

  2. #2
    Join Date
    Apr 2005
    Beans
    2,336

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    https://packages.ubuntu.com/search?keywords=libsane is there anything here that is of value to you?

    from here https://www.ubuntu.com/info/release-end-of-life it seems that if you install 17.10, it loses support in about eight months;

  3. #3
    Join Date
    Oct 2004
    Location
    Albuquerque New Mexico, U
    Beans
    1,098
    Distro
    Ubuntu Development Release

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Thank you for the suggestion.

    Appears I can't downgrade libsane1 to libsane without breaking a bunch of other utilities. I suppose if I want to use the scanner whilst waiting for Epson/Epkowa to fix their packages I'll either have to continue dual-booting or revert the Linux to either 17.04 (last working) or 16.04 (latest LTS).

    Or...I could buy a new scanner. Does anyone have a recommendation for a flatbed photo scanner that might be plug 'n play on 17.10?
    regards

  4. #4
    Join Date
    Apr 2005
    Beans
    2,336

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Does anyone have a recommendation for a flatbed photo scanner that might be plug 'n play on 17.10?
    ........ most folks would check with the CFO in-residence firstly to see what sort of budget is authorised;

    then one could see what is supported here on SANE http://www.sane-project.org/sane-supported-devices.html ......... in line with what local retailers or e-tailers are offering as good deals;

    If the CFO authorises a goodly budget, it might be worth putting a small portion of that towards a Vuescan subscription; https://www.hamrick.com/ ...... for those folks that value the quality of an excellent stand-alone flatbed scanner ........ the extra features and support of VueScan would be valued

  5. #5
    Join Date
    Oct 2004
    Location
    Albuquerque New Mexico, U
    Beans
    1,098
    Distro
    Ubuntu Development Release

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    I've been using VueScan since it was born and agree it's a useful package.
    regards

  6. #6
    Join Date
    Oct 2004
    Location
    Albuquerque New Mexico, U
    Beans
    1,098
    Distro
    Ubuntu Development Release

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    I played with this issue all weekend without success. I did, however, develop mad skilzz installing Ubuntu 17.10. Bought a Canon Canoscan LiDE 220 for $80 USD. It works.
    regards

  7. #7
    Join Date
    Oct 2017
    Beans
    1

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    I forced an iscan install and everything seems to work:

    dpkg --ignore-depends=libsane -i iscan_2.30.2-2_amd64.deb
    dpkg -i data/iscan-data_1.36.0-1_all.deb plugins/esci-interpreter-gt-s80_0.2.1-1_amd64.deb plugins/iscan-plugin-esdip_1.0.0-5.ltdl7_amd64.deb

    The installed plugin libraries are now at a wrong location, fix it:

    cd /usr/lib
    mv sane/* /usr/lib/x86_64-linux-gnu/sane/
    rm -rf sane/
    ln -sf /usr/lib/x86_64-linux-gnu/sane sane


    Et voila.

  8. #8
    Join Date
    Oct 2004
    Location
    Albuquerque New Mexico, U
    Beans
    1,098
    Distro
    Ubuntu Development Release

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Odd...I was able to force iScan and the data packages to install, but the front-end software (Xsane and VueScan) still wouldn't find the scanner even after moving the plugin libraries as indicated and a reboot. Showed up as before in the output of lsusb and scanimage -L, but not in sane-find-scanner.

    Thanks for the suggestion, though.

    I'm not going to devote any more time to this. I bought an inexpensive Canon scanner that is suitable for my needs and is truly "Plug 'n Play" with 17.10 on my system. The Epson will be either rehomed or recycled...not my department. It is pretty old and slow, though. The Canon is much faster.
    regards

  9. #9
    Join Date
    Nov 2017
    Beans
    1

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Thanks for this.
    Upgraded from 17.04 to 17.10 and iscan broke. This fixed it after re-installing the packages.

    I'm using Epson Perfection V19 by the way.

  10. #10
    Join Date
    Aug 2013
    Beans
    2

    Re: 17.10 and Epson Perfection 4490 Photo flatbed scanner dependency prob

    Thanks faberman. This was driving me nuts for days. reinstalled iscan-data, iscan and custom driver for my scanner, then relocated the plugins as advised. Now it is working again (on 18.04). Scanner is Epson Perfection V330 Photo. I'm bookmarking this thread for when it breaks next time!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •